Skip to main content
POST
cURL
POST /currencies/v1 is deprecated as of October 30, 2026: its rate limit is reduced in stages from December 14, 2026 until it is retired on January 28, 2027. Use POST /currencies/v2, which returns a flat list of currencies instead of nested groups. See the migration guide for the timeline and how to upgrade.

Headers

x-api-key
string

Optional API key for authentication and higher rate limits.

Body

application/json
defaultList
boolean

Return default currencies

chainIds
number[]

Chain IDs to search for currencies

term
string

Search term for currencies

Maximum string length: 256
address
string

Address of the currency contract

currencyId
string

ID to search for a currency group

symbol
string

Filter by currency symbol

groupID
string

Filter by currency group ID

tokens
string[]

List of token addresses, like: chainId:address

verified
boolean

Filter verified currencies

limit
integer

Limit the number of results

Required range: x >= 1
includeAllChains
boolean

Include all chains for a currency when filtering by chainId and address

Uses 3rd party API's to search for a token, in case relay does not have it indexed

depositAddressOnly
boolean

Returns only currencies supported with deposit address bridging

Response

200 - application/json

List of currencies

groupID
string
chainId
number
address
string
symbol
string
name
string
decimals
number
vmType
enum<string>
Available options:
bvm,
evm,
svm,
tvm,
tonvm,
hypevm,
lvm,
xrpvm,
hederavm,
atlasvm
metadata
object